import "./tasks/rmats.wdl" as rmats


workflow {{ project_name }} {
    String sample_id
    File b1_1
    File b1_2
    File b1_3
    File b2_1
    File b2_2
    File b2_3
    File reference_gtf_file
    

    String rmats_docker
    String rmats_cluster
    String disk_size	

	call rmats.rmats as rmats {
		input:
		b1_1 = b1_1,
		b1_2 = b1_2,
		b1_3 = b1_3,
		b2_1 = b2_1,
		b2_2 = b2_2,
		b2_3 = b2_3,
		reference_gtf_file = reference_gtf_file,
		sample_id = sample_id,
		docker = rmats_docker,
		cluster = rmats_cluster,
		disk_size = disk_size
	}
}